Skip to main content
POST
/
v6
/
company
Create a company
curl --request POST \
  --url https://sandbox.tight.com/v6/company \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "ACME Corp",
  "entityType": "SOLE_PROPRIETORSHIP",
  "owners": [
    {
      "userId": "fake_userId",
      "email": "joe@tight.com",
      "firstName": "Joe",
      "lastName": "Perkins"
    }
  ],
  "id": "co_235823",
  "apiCompanyId": "fake_company_123",
  "address": {
    "state": "<string>",
    "city": "<string>",
    "zip": "<string>",
    "phoneWork": "<string>",
    "address1": "<string>",
    "address2": "<string>"
  },
  "accountingMethod": "ACCRUAL",
  "businessTypeId": "<string>",
  "availableFeatures": {
    "bankTransactions": true,
    "bills": true,
    "bookkeeping": true,
    "imports": true,
    "invoicing": true,
    "payroll": true,
    "reporting": true,
    "taxes": true,
    "timeTracking": true,
    "mileage": true
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "name": "ACME Corp",
    "owners": [
      {
        "userId": "fake_userId",
        "email": "joe@tight.com",
        "firstName": "Joe",
        "lastName": "Perkins",
        "language": "EN"
      }
    ],
    "id": "co_235823",
    "apiCompanyId": "fake_company_123",
    "entityType": "SOLE_PROPRIETORSHIP",
    "address": {
      "countryCode": "USA",
      "state": "<string>",
      "city": "<string>",
      "zip": "<string>",
      "phoneWork": "<string>",
      "address1": "<string>",
      "address2": "<string>"
    },
    "accountingMethod": "ACCRUAL",
    "businessType": {
      "id": "bzt_123456",
      "name": "Electrician"
    },
    "availableFeatures": {
      "bankTransactions": true,
      "bills": true,
      "bookkeeping": true,
      "imports": true,
      "invoicing": true,
      "payroll": true,
      "reporting": true,
      "taxes": true,
      "timeTracking": true,
      "mileage": true
    }
  },
  "readyToLaunchUrl": "<string>",
  "onboardingFormUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Body

application/json
name
string
required

Name of the company

Example:

"ACME Corp"

entityType
enum<string>
required

The type of entity

Available options:
SOLE_PROPRIETORSHIP,
LLP,
LLC,
S_CORP,
C_CORP
owners
object[] | null
required
id
string

Id of the company, required to update an existing company

Example:

"co_235823"

apiCompanyId
string

Id of the company in your DB (defaults to userId if not specified)

Example:

"fake_company_123"

address
object

Address of the vendor

accountingMethod
enum<string>

Accounting method used by the company

Available options:
ACCRUAL,
CASH
Example:

"ACCRUAL"

businessTypeId
string

Id of the business type of the company

availableFeatures
object

Available features for the company

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.

readyToLaunchUrl
string

For customer-partners utilizing Tight's Ready-to-Launch product, you can redirect the user to this URL.

onboardingFormUrl
string

For customer-partners utilizing Tight's DFY books, the user should fill out this form to provide additional onboarding information.